
ResourcePath = "ScarlimPlugins/RecipeTracker/Resources/";

Images = {
	MinimizedIcon = ResourcePath .. "RecipeTrackerIcon.tga",
	Expand = ResourcePath .. "expand_button.tga",
	ExpandAll = ResourcePath .. "expand_all_button.tga",
	Collapse = ResourcePath .. "collapse_button.tga",
	CollapseAll = ResourcePath .. "collapse_all_button.tga",
	Proficient = ResourcePath .. "icon_craft_proficient.tga",
	Master = ResourcePath .. "icon_craft_master.tga",
	Refresh = ResourcePath .. "button_refresh.tga",
	TabBase = ResourcePath .. "tab_tier1_middle_";
};

function CreateLocalizationInfo()
	Strings = {};
	Strings.TierNames = {};
	Strings.ProfessionNames = {};
	if Turbine.Engine.GetLanguage() == Turbine.Language.German then
		Strings.Usage = "Verwendung:\n   /recipetracker show - Zeigt das Hauptfenster\n   /recipetracker hide - Versteckt das Hauptfenster\n   /recipetracker toggle - Schaltet das Hauptfenster um\n   /recipetracker options - Zeigt die Optionen";
		Strings.PluginName = "Rezept Tracker";
		Strings.Search = "Suche:";
		Strings.KnownBy = "Bereits gelernt von:";
		Strings.NeededBy = "Ben\195\182tigt von:";
		Strings.RecipeSearch = "Rezeptsuche";
		Strings.DragToSearch = "<- zum Vergleich Rezept hier reinziehen";
		Strings.NotRecipe = "Dies ist kein Rezept!";
		Strings.RecipeSearchResults = "Resultate der Rezeptsuche:";
		Strings.AllCharactersWithProfession = "Alle Character mit diesem Beruf";
		Strings.Tracking = "Tracking";
		Strings.Details = "Details";
		Strings.Ingredients = "Zutaten:";
		Strings.RecipeSearchPattern = "^Rezept: (.+)";
		Strings.TierNames[Turbine.Gameplay.CraftTier.Apprentice] = "Lehrling";
		Strings.TierNames[Turbine.Gameplay.CraftTier.Journeyman] = "Geselle";
		Strings.TierNames[Turbine.Gameplay.CraftTier.Expert] = "Experte";
		Strings.TierNames[Turbine.Gameplay.CraftTier.Artisan] = "Virtuose";
		Strings.TierNames[Turbine.Gameplay.CraftTier.Master] = "Meister";
		Strings.TierNames[Turbine.Gameplay.CraftTier.Supreme] = "\195\156berragend";
		Strings.TierNames[Turbine.Gameplay.CraftTier.Westfold] = "Westfold";
		Strings.TierNames[Turbine.Gameplay.CraftTier.Eastemnet] = "Ost-Emnet";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Tailor] = "Schneider";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Woodworker] = "Drechsler";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Farmer] = "Bauer";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Cook] = "Koch";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Jeweller] = "Goldschmied";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Scholar] = "Gelehrter";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Weaponsmith] = "Waffenschmied";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Metalsmith] = "Schmied";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Forester] = "F\195\182rster";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Prospector] = "Sch\195\188rfer";
	else
		Strings.Usage = "Usage:\n   /recipetracker show - Shows the main window\n   /recipetracker hide - Hides the main window\n   /recipetracker toggle - Toggles the main window\n   /recipetracker options - Shows the options window";
		Strings.PluginName = "Recipe Tracker";
		Strings.Search = "Search:";
		Strings.KnownBy = "Already known by:";
		Strings.NeededBy = "Needed by:";
		Strings.RecipeSearch = "Recipe Search";
		Strings.DragToSearch = "<- Drag a recipe here to search";
		Strings.NotRecipe = "Not a recipe!";
		Strings.RecipeSearchResults = "Recipe search results:";
		Strings.AllCharactersWithProfession = "All characters with this profession";
		Strings.Tracking = "Tracking";
		Strings.Details = "Details";
		Strings.Ingredients = "Ingredients:";
		Strings.RecipeSearchPattern = "(.+) Recipe$";
		Strings.TierNames[Turbine.Gameplay.CraftTier.Apprentice] = "Apprentice";
		Strings.TierNames[Turbine.Gameplay.CraftTier.Journeyman] = "Journeyman";
		Strings.TierNames[Turbine.Gameplay.CraftTier.Expert] = "Expert";
		Strings.TierNames[Turbine.Gameplay.CraftTier.Artisan] = "Artisan";
		Strings.TierNames[Turbine.Gameplay.CraftTier.Master] = "Master";
		Strings.TierNames[Turbine.Gameplay.CraftTier.Supreme] = "Supreme";
		Strings.TierNames[Turbine.Gameplay.CraftTier.Westfold] = "Westfold";
		Strings.TierNames[Turbine.Gameplay.CraftTier.Eastemnet] = "Eastemnet";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Tailor] = "Tailor";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Woodworker] = "Woodworker";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Farmer] = "Farmer";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Cook] = "Cook";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Jeweller] = "Jeweller";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Scholar] = "Scholar";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Weaponsmith] = "Weaponsmith";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Metalsmith] = "Metalsmith";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Forester] = "Forester";
		Strings.ProfessionNames[Turbine.Gameplay.Profession.Prospector] = "Prospector";
	end
end
